// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: UserService.proto

package com.entrytask.server.rpc.common.grpc;

public final class UserServiceOuterClass {
  private UserServiceOuterClass() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_entrytask_server_rpc_common_grpc_FileRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_com_entrytask_server_rpc_common_grpc_FileRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_entrytask_server_rpc_common_grpc_FileResponse_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_com_entrytask_server_rpc_common_grpc_FileResponse_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_entrytask_server_rpc_common_grpc_loginRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_com_entrytask_server_rpc_common_grpc_loginRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_entrytask_server_rpc_common_grpc_loginResponse_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_com_entrytask_server_rpc_common_grpc_loginResponse_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\021UserService.proto\022$com.entrytask.serve" +
      "r.rpc.common.grpc\"\034\n\013FileRequest\022\r\n\005para" +
      "m\030\001 \001(\t\"\034\n\014FileResponse\022\014\n\004resp\030\001 \001(\t\"2\n" +
      "\014loginRequest\022\020\n\010username\030\001 \001(\t\022\020\n\010passw" +
      "ord\030\002 \001(\t\"*\n\rloginResponse\022\014\n\004code\030\001 \001(\005" +
      "\022\013\n\003msg\030\002 \001(\t2\345\002\n\013UserService\022o\n\006doWork\022" +
      "1.com.entrytask.server.rpc.common.grpc.F" +
      "ileRequest\0322.com.entrytask.server.rpc.co" +
      "mmon.grpc.FileResponse\022p\n\005login\0222.com.en" +
      "trytask.server.rpc.common.grpc.loginRequ" +
      "est\0323.com.entrytask.server.rpc.common.gr" +
      "pc.loginResponse\022s\n\010register\0222.com.entry" +
      "task.server.rpc.common.grpc.loginRequest" +
      "\0323.com.entrytask.server.rpc.common.grpc." +
      "loginResponseB\002P\001b\006proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        });
    internal_static_com_entrytask_server_rpc_common_grpc_FileRequest_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_com_entrytask_server_rpc_common_grpc_FileRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_com_entrytask_server_rpc_common_grpc_FileRequest_descriptor,
        new java.lang.String[] { "Param", });
    internal_static_com_entrytask_server_rpc_common_grpc_FileResponse_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_com_entrytask_server_rpc_common_grpc_FileResponse_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_com_entrytask_server_rpc_common_grpc_FileResponse_descriptor,
        new java.lang.String[] { "Resp", });
    internal_static_com_entrytask_server_rpc_common_grpc_loginRequest_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_com_entrytask_server_rpc_common_grpc_loginRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_com_entrytask_server_rpc_common_grpc_loginRequest_descriptor,
        new java.lang.String[] { "Username", "Password", });
    internal_static_com_entrytask_server_rpc_common_grpc_loginResponse_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_com_entrytask_server_rpc_common_grpc_loginResponse_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_com_entrytask_server_rpc_common_grpc_loginResponse_descriptor,
        new java.lang.String[] { "Code", "Msg", });
  }

  // @@protoc_insertion_point(outer_class_scope)
}
